cdac.medinfo.sdk.hl7282.hl7net.upperlayer

## Interface IProcessHandler

-     public interface IProcessHandler

  IProcessHandler provides user with methods like OnMessageReceive,OnConnect these methods should be implemented by user to perform required Operations on received messages.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `OnBatchFileReceive(ClientSession objClientSession)` Invoked when BatchFile is received from remote system.
    `void` | `onClose(ClientSession objClientSession)` Closes the Connection.
    `void` | `OnConnect(ClientSession objClientSession)` Invoked when Client is connected.
    `void` | `OnErrorReceive(ClientSession objClientSession)` Invoked when SDK is not able to parse received message.
    `void` | `onException(java.lang.Exception ex, byte[] buffer)` Invoked when exception is raised.
    `void` | `onException(java.lang.Exception ex, ISegmentSet objISegmentSet)` Invoked when exception is raised.
    `void` | `OnMessageReceive(ClientSession objClientSession)` Invoked when Message is received from remote system.

- - ### Method Detail

    - #### OnMessageReceive

          void OnMessageReceive(ClientSession objClientSession)

      Invoked when Message is received from remote system.
      Parameters:
        `objClientSession` - - object of ClientSession

    - #### OnBatchFileReceive

          void OnBatchFileReceive(ClientSession objClientSession)

      Invoked when BatchFile is received from remote system.
      Parameters:
        `objClientSession` - - object of ClientSession

    - #### OnConnect

          void OnConnect(ClientSession objClientSession)

      Invoked when Client is connected.
      Parameters:
        `objClientSession` - - session of remote end

    - #### OnErrorReceive

          void OnErrorReceive(ClientSession objClientSession)

      Invoked when SDK is not able to parse received message.
      Parameters:
        `objClientSession` - - object of ClientSession

    - #### onException

          void onException(java.lang.Exception ex,
                         byte[] buffer)

      Invoked when exception is raised.
      Parameters:
        `ex` - Exception raised
        `buffer` - data containing error

    - #### onException

          void onException(java.lang.Exception ex,
                         ISegmentSet objISegmentSet)

      Invoked when exception is raised.
      Parameters:
        `ex` - Exception raised
        `ISegmentSet` - - object of ISegment

    - #### onClose

          void onClose(ClientSession objClientSession)

      Closes the Connection.
      Parameters:
        `objClientSession` - object of Client Session.